%define upstream_name    Math-ConvexHull-MonotoneChain
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Andrew's monotone chain algorithm for finding a convex hull in 2D
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel

%description
Andrew's monotone chain algorithm for finding a convex hull in 2D.
This is somewhat experimental still.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*



%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.10.0-18.mga9
+ Revision: 1862072
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.10.0-17.mga9
+ Revision: 1795900
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.10.0-16.mga9
+ Revision: 1726862
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.10.0-15.mga8
+ Revision: 1594865
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-14.mga8
+ Revision: 1529818
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.10.0-13.mga8
+ Revision: 1433823
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.10.0-12.mga7
+ Revision: 1293424
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.0-11.mga7
+ Revision: 1249523
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.10.0-10.mga7
+ Revision: 1165314
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.10.0-9.mga7
+ Revision: 1149068
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.10.0-8.mga7
+ Revision: 1127649
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1029610
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 957704
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.10.0-5.mga6
+ Revision: 844965
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.10.0-4.mga6
+ Revision: 840753
- Rebuild for perl 5.22

* Tue Jan 13 2015 shlomif <shlomif> 0.10.0-3.mga5
+ Revision: 810274
- Add BR on perl-devel
- Importing perl-Math-ConvexHull-MonotoneChain (thanks to Richard Houser)


* Wed Jan 07 2015 Richard Houser <rick@divinesymphony.net> 0.01-3
- Initial Mageia package
